/*  Header files for this program */

/*  Samples is the amount of samples it takes before it
 *  prints out a summary..  If your system is busy make this
 *  number bigger so that the screen isn't being updated so often
 *  and make it smaller if your network is slow 
 */
#if defined(ultrix) || defined(sun)
#define SAMPLES 200 
#else
#define SAMPLES 10
#endif

/*  This number is the max amount of bytes per second
 *  that the network can handle..  For standard ethernet,
 *  NOTE!  make sure you put the friken! .0 in there so that
 *  it thinks that it is a floating point number.
 */
#define MAXRATE 1250000.0

/*  This number doesn't mean anything since, we only take 
 *  14 of the bytes.. so the number only needs to be 14
 */
#define BUFFERSIZE 2000

/*  This is the amount of packets that are backlogged inside the
 *  kernel.. Note you must enable it with pfconfig to allow big numbers
 *  first
 */

#define MAXBACKLOG 100


/*  Some simple macro's to make life easy */

#define Xprint(x, y, z)  XDrawImageString(mydisplay, mywindow, mygc,                (x), (y), z, strlen(z) )

