.TH xnetgraph 1 Ultrix
.SH Name
xnetgraph \- Graphically display network load and usage
.SH Syntax
(Ultrix) xnetgraph [-d display name] [-f device filter]
   (Sun) xnetgraph [-d display name] filter
.SH Note
This program only works on Ultrix or Sun using the packetfilter that is in 
their kernels.  Filter name is one of  ec0, ei0, le0, etc....
.SH Description
This graphical display show various information about the network
load.  Various displays show the bytes/second, packets/second, bytes/packet,
along with various information about the packets.  

Ethernet packets range from 64 bytes to 1514 bytes.  In the packet size
graph; the left bar is the percent of packets that are from 0 - 64 bytes.
But since there shouldn't be any packets less than 64 bytes, that bar
usually stands for the amount of packets that are of minimum size; 64 bytes.
NOTE:  Right now I belive the Ultrix filter removes 4 bytes, makeing
the smallest packet size 60bytes.

The graph in the top right displays what type of packets are coming
over the network right now.  In the center the big bar graph is the
overall network load.

Along the bottom are two main boxes.  The left one give information
about how many bytes are being transmitted: bytes/sec, etc.
The middle box contains information on packets: packets/sec
bytes/packet, etc.
.SH BUGS
.br
The stuff for sun sampleing doesn't seem to work correctly yet.
The program samples 200 packets and then computes all the totals.
Therefor the Network load over time isn't really over time, since a new
line gets draw after every 100 packets, and as the load goes up 100
packets come sooner and sooner.
.br
If the CPU is to slow or busy, the program may not be able to keep up.
Those extra packets will be dropped and not included in any of the totals.
The load may then be higher than what it says.
.SH See Also
packetfilter(4), pfopen(3), pfconfig(1),
.br
xnetsampler, xnetanal -- By James Jegers jimj@cs.uwm.edu

