#ifndef Mainmenu_core_h
#define Mainmenu_core_h

#include <InterViews/scene.h>
#include <InterViews/window.h>
class MenuItem;
class PushButton;
class ButtonState;
class StringEditor;

class Mainmenu_core : public MonoScene {
public:
    Mainmenu_core(const char*);
    virtual void Quit();
    virtual void grapher();
    virtual void sampler();
    virtual void anal();
    virtual void device();
protected:
    Interactor* Interior();
protected:
    ButtonState* graphBS;
    ButtonState* sampleBS;
    ButtonState* analBS;
    ButtonState* editordevice;
    MenuItem* quitButton;
    PushButton* graphButton;
    PushButton* sampleButton;
    PushButton* analButton;
    StringEditor* editorButton;
};

#endif
